Get Voice

cURL

curl --request GET \
  --url https://api.heygen.com/v3/voices/{voice_id} \
  --header 'x-api-key: <api-key>'

Response Codes

  • 200
  • 400
  • 401
  • 404
  • 429

Response Example

{
  "data": {
    "voice_id": "<string>",
    "support_pause": true,
    "name": "<string>",
    "language": "<string>",
    "gender": "<string>",
    "preview_audio_url": "<string>",
    "status": "processing",
    "failure_message": "<string>",
    "support_interactive_avatar": false,
    "created_at": 123
  }
}

Authorizations

ApiKeyAuth

  • x-api-key: string, required, header.
    HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

voice_id

  • Type: string, required
    Unique voice identifier.

Response

  • 200: application/json
    Successful response.

Data Structure

  • VoiceDetailV3: object
    Response payload for GET /v3/voices/{voice_id}.